/*
 * Copyright 2012 Giorgio Vazzana
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/* Compile: gcc -Wall -O bin_to_ascii.c -o bin_to_ascii */

#include <stdio.h>
#include <stdint.h>

int main(int argc, char *argv[])
{
	int i, c;
	uint8_t byte;

	while (1) {
		c = fgetc(stdin);
		if (c == EOF)
			break;

		byte = c;
		for (i = 7; i >= 0; i--) {
			if (byte & (1 << i))
				printf("1\n");
			else
				printf("0\n");
		}
	}

	return 0;
}
