/*
 * Copyright 2012 Giorgio Vazzana
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/* Compile: gcc -Wall -O downsample_2.c -o downsample_2 */

#include <stdio.h>

int main(int argc, char *argv[])
{
	int c1, c2, nl;
	unsigned char bit[2];

	bit[1] = '\n';
	while (1) {
		c1 = fgetc(stdin);
		nl = fgetc(stdin); /* \n */

		c2 = fgetc(stdin);
		nl = fgetc(stdin); /* \n */

		if (nl == EOF)
			break;

		bit[0] = c1;
		fwrite(bit, sizeof(*bit), 2, stdout);
	}

	return 0;
}
