#!/bin/bash
if [ $# -lt 1 ]
then
	echo "./ent file1 file2..."
	exit 1
fi

for f in "$@"
do
	echo "$f:"
	cat "$f" | ./ascii_to_bin | ent -b
	echo
done

echo
echo

for f in "$@"
do
	echo "$f, deskewed:"
	cat "$f" | ./deskewing | ./ascii_to_bin | ent -b
	echo
done

exit 0
