/*
 * Copyright 2012 Giorgio Vazzana
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/* Compile: gcc -Wall -O deskewing.c -o deskewing */

#include <stdio.h>

int main(int argc, char *argv[])
{
	int c1, c2, nl;
	unsigned char byte1, byte2;

	while (1) {
		c1 = fgetc(stdin);
		byte1 = (c1 == '0') ? 0 : 1;
		nl = fgetc(stdin); /* \n */

		c2 = fgetc(stdin);
		byte2 = (c2 == '0') ? 0 : 1;
		nl = fgetc(stdin); /* \n */

		if (nl == EOF)
			break;

		if (byte1 == 0 && byte2 == 1)
			printf("0\n");
		else if (byte1 == 1 && byte2 == 0)
			printf("1\n");
	}

	return 0;
}
