#!/bin/bash
if [ $# -lt 1 ]
then
	echo "./rngtest file1 file2..."
	exit 1
fi

for f in "$@"
do
	echo "$f:"
	cat "$f" | ./ascii_to_bin | rngtest 2>&1
	(for i in $(seq 50 50 19950)
	do
	echo "offset: $i bits"
	cat "$f" | sed -n -e "$i,504000p" | ./ascii_to_bin | rngtest 2>&1
	done) | grep 'offset\|failures'
	echo
	echo
done

exit 0
